Bug 1015857 - Review Request: golang-googlecode-sqlite - Trivial sqlite3 binding for Go
Review Request: golang-googlecode-sqlite - Trivial sqlite3 binding for Go
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1000662
  Show dependency treegraph
 
Reported: 2013-10-06 05:12 EDT by Lokesh Mandvekar
Modified: 2014-07-01 18:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: golang-googlecode-sqlite-0-0.8.hg74691fb6f837.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:35:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-10-06 05:12:32 EDT
Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-sqlite.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-sqlite-0-0.1.hg74691fb6f837.fc21.src.rpm

Description: Trivial sqlite3 binding for Go

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6028690

Note: Pretty much the same as Bug 1009967, just that it didn't come with a license file included so I installed the BSD license by myself.
Comment 1 Lokesh Mandvekar 2013-10-06 05:15:28 EDT
btw, docker 0.7-staging branch seems to use this package, that's why the review request
Comment 2 Vincent Batts 2013-10-06 09:38:38 EDT
> Note: Pretty much the same as Bug 1009967, just that it didn't come with a
> license file included so I installed the BSD license by myself.

This is consistent. Russ Cox's (a core golang developer) comment refers to a LICENSE file that is not there. I'm guessing he's refering to the go compiler's LICENSE.

// Copyright 2010 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.
Comment 3 Lokesh Mandvekar 2013-10-08 03:49:32 EDT
%changelog
* Tue Oct 08 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.hg74691fb6f837
- exclusivearch as per golang
- debug_package nil

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-sqlite.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-sqlite-0-0.1.hg74691fb6f837.fc21.src.rpm
Comment 4 Lokesh Mandvekar 2013-10-08 03:55:46 EDT
(In reply to Vincent Batts from comment #2)
> This is consistent. Russ Cox's (a core golang developer) comment refers to a
> LICENSE file that is not there. I'm guessing he's refering to the go
> compiler's LICENSE.
> 
> // Copyright 2010 The Go Authors. All rights reserved.
> // Use of this source code is governed by a BSD-style
> // license that can be found in the LICENSE file.

Umm, did he comment somewhere?
Comment 5 Lokesh Mandvekar 2013-10-08 03:58:48 EDT
%changelog
* Tue Oct 08 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.hg74691fb6f837
- golang license for 2012 installed


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-sqlite.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-sqlite-0-0.3.hg74691fb6f837.fc21.src.rpm
Comment 6 Matthew Miller 2013-10-08 07:35:07 EDT
upstream request for license file http://code.google.com/p/gosqlite/issues/detail?id=21

(It's okay to add our own in the meantime.)
Comment 7 Matthew Miller 2013-10-08 07:45:44 EDT
If you could add the following to the description (from the source code comments), 

  This package has no exported API. It registers a driver for the standard Go database/sql package.

I think that would be good.


These really all should stay as noarch packages. The exclusivearch hack isn't a good solution to the PPC problem -- making the no-arch packages arch-specific is actually a worse issue, I think.
Comment 8 Matthew Miller 2013-10-08 07:47:27 EDT
It's possible that adding "noarch" to the ExclusiveArch list will make that work -- I've seen a couple of suggestions for doing that. Seems kind of ugly but is the best I can think of right now.
Comment 9 Vincent Batts 2013-10-08 10:05:17 EDT
(In reply to Lokesh Mandvekar from comment #4)
> (In reply to Vincent Batts from comment #2)
> > This is consistent. Russ Cox's (a core golang developer) comment refers to a
> > LICENSE file that is not there. I'm guessing he's refering to the go
> > compiler's LICENSE.
> > 
> > // Copyright 2010 The Go Authors. All rights reserved.
> > // Use of this source code is governed by a BSD-style
> > // license that can be found in the LICENSE file.
> 
> Umm, did he comment somewhere?

This comment is from the *.go source code of this project.
https://code.google.com/p/gosqlite/source/browse/sqlite/sqlite.go#1
Comment 10 Lokesh Mandvekar 2013-10-08 11:39:37 EDT
%changelog
* Tue Oct 08 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.hg74691fb6f837
- description update
- added noarch to exclusivearch list


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-sqlite.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-sqlite-0-0.3.hg74691fb6f837.fc21.src.rpm(In reply to Vincent Batts from comment #9)


> (In reply to Lokesh Mandvekar from comment #4)
> This comment is from the *.go source code of this project.
> https://code.google.com/p/gosqlite/source/browse/sqlite/sqlite.go#1

silly me :|
Comment 11 Lokesh Mandvekar 2013-10-08 12:03:35 EDT
%changelog
* Tue Oct 08 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.5.hg74691fb6f837
- buildarch: noarch

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-sqlite.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-sqlite-0-0.5.hg74691fb6f837.fc21.src.rpm
Comment 12 Lokesh Mandvekar 2013-10-08 12:09:24 EDT
%changelog
* Tue Oct 08 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.6.hg74691fb6f837
- sql -> SQL, rpmlint warning fixed


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-sqlite.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-sqlite-0-0.5.hg74691fb6f837.fc21.src.rpm
Comment 13 Lokesh Mandvekar 2013-10-08 12:11:14 EDT
Ignore Comment 12 (wrong srpm link)


%changelog
* Tue Oct 08 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.6.hg74691fb6f837
- sql -> SQL, rpmlint warning fixed


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-sqlite.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-sqlite-0-0.6.hg74691fb6f837.fc21.src.rpm
Comment 14 Lokesh Mandvekar 2013-10-08 12:18:02 EDT
also, koji looks good for dist-6E-epel

http://koji.fedoraproject.org/koji/taskinfo?taskID=6036895

only rpmlint warning for spec and srpm: setup-not-quiet
Comment 15 Matthew Miller 2013-10-08 12:59:11 EDT
I like not-quiet setup. :)

Except for getting the exclusivearch/noarch quirk fixed, I think this is ready to go. See https://fedorahosted.org/fpc/ticket/355
Comment 16 Matthew Miller 2013-10-08 13:26:18 EDT
As noted in IRC, the devel subpackage should have "Requires: sqlite-devel".
Comment 17 Lokesh Mandvekar 2013-10-08 13:55:26 EDT
%changelog
* Tue Oct 08 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.7.hg74691fb6f837
- noarch for f19+ and rhel7+, exclusivearch otherwise
- requires sqlite-devel


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-sqlite.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-sqlite-0-0.7.hg74691fb6f837.fc21.src.rpm
Comment 18 Matthew Miller 2013-10-08 14:01:18 EDT
Review passed with same caveat as before: go lang guidelines are draft so we may need to update this to match as those are made official.
Comment 19 Lokesh Mandvekar 2013-10-08 14:13:28 EDT
New Package SCM Request
=======================
Package Name: golang-googlecode-sqlite
Short Description: Trivial sqlite3 binding for Go
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 20 Lokesh Mandvekar 2013-10-08 15:12:33 EDT
woops ... set the wrong fedora-cvs+ flag ...corrected to fedora-cvs?
Comment 21 Gwyn Ciesla 2013-10-08 15:32:17 EDT
Git done (by process-git-requests).
Comment 22 Fedora Update System 2013-10-08 16:54:45 EDT
golang-googlecode-sqlite-0-0.7.hg74691fb6f837.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-sqlite-0-0.7.hg74691fb6f837.fc20
Comment 23 Fedora Update System 2013-10-08 17:38:33 EDT
golang-googlecode-sqlite-0-0.7.hg74691fb6f837.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-googlecode-sqlite-0-0.7.hg74691fb6f837.fc19
Comment 24 Fedora Update System 2013-10-08 17:47:19 EDT
golang-googlecode-sqlite-0-0.7.hg74691fb6f837.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-sqlite-0-0.7.hg74691fb6f837.el6
Comment 25 Fedora Update System 2013-10-09 10:32:35 EDT
golang-googlecode-sqlite-0-0.7.hg74691fb6f837.fc20 has been pushed to the Fedora 20 testing repository.
Comment 26 Fedora Update System 2013-10-17 01:39:28 EDT
golang-googlecode-sqlite-0-0.8.hg74691fb6f837.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-sqlite-0-0.8.hg74691fb6f837.fc20
Comment 27 Fedora Update System 2013-10-17 01:56:12 EDT
golang-googlecode-sqlite-0-0.8.hg74691fb6f837.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-googlecode-sqlite-0-0.8.hg74691fb6f837.fc19
Comment 28 Fedora Update System 2013-10-17 02:01:31 EDT
golang-googlecode-sqlite-0-0.8.hg74691fb6f837.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-sqlite-0-0.8.hg74691fb6f837.el6
Comment 29 Fedora Update System 2013-10-17 14:05:12 EDT
Package golang-googlecode-sqlite-0-0.8.hg74691fb6f837.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing golang-googlecode-sqlite-0-0.8.hg74691fb6f837.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11862/golang-googlecode-sqlite-0-0.8.hg74691fb6f837.el6
then log in and leave karma (feedback).
Comment 30 Peter Lemenkov 2013-10-23 07:10:59 EDT
Package Change Request
======================
Package Name: golang-googlecode-sqlite
InitialCC: golang-sig
Comment 31 Gwyn Ciesla 2013-10-23 10:04:52 EDT
Done.
Comment 32 Fedora Update System 2013-10-28 23:35:07 EDT
golang-googlecode-sqlite-0-0.8.hg74691fb6f837.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2013-11-01 17:08:11 EDT
golang-googlecode-sqlite-0-0.8.hg74691fb6f837.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2013-11-10 01:35:27 EST
golang-googlecode-sqlite-0-0.8.hg74691fb6f837.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.